ffmpeg system dep

Dependency Availability

Arch Linux
All Versions
ffmpeg
 
CentOS
All Versions
Not available
 
Cygwin
All Versions
Not available
 
Debian
Sarge
Not available
Etch
Not available
Lenny
Not available
Squeeze
Not available
Wheezy
Not available
Jessie
libav-tools libavcodec-dev libavformat-dev libavutil-dev libswscale-dev
Sid (Unstable)
Not available
 
Fedora
17 (Beefy Miracle)
ffmpeg-devel
18 (Spherical Cow)
ffmpeg-devel
19 (Schrödinger's Cat)
ffmpeg-devel
20 (Heisenberg)
ffmpeg-devel
Fedora 21
ffmpeg-devel
Fedora 22
ffmpeg-devel
 
FreeBSD
All Versions
ffmpeg
 
Gentoo Linux
All Versions
virtual/ffmpeg
 
Mandrake/Mandriva Linux
All Versions
Not available
 
openSUSE
All Versions
ffmpeg
 
Mac OS X
Leopard
ffmpeg
Snow Leopard
ffmpeg
Lion
ffmpeg
Mountain lion
ffmpeg
Mavericks
ffmpeg
Yosemite
ffmpeg
 
Red Hat Enterprise Linux
All Versions
Not available
 
Ubuntu
Karmic
Not available
Lucid
Not available
Maverick
Not available
Natty
Not available
Oneiric
Not available
Precise
Not available
Quantal
Not available
Raring
Not available
Saucy
Not available
Trusty
libavcodec-dev libavformat-dev libavutil-dev libswscale-dev
Trusty (Python3)
Not available
Utopic
libavcodec-dev libavformat-dev libavutil-dev libswscale-dev
Utopic (Python3)
Not available
Vivid
libavcodec-dev libavformat-dev libavutil-dev libswscale-dev
Vivid (Python3)
Not available
Wily
Not available
Wily (Python3)
Not available
Xenial
Not available
Xenial (Python3)
Not available
 

Raw Rosdep Data

  {"osx"=>{"homebrew"=>{"packages"=>["ffmpeg"]}}, "arch"=>["ffmpeg"], "debian"=>{"*"=>["ffmpeg", "libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"], "jessie"=>["libav-tools", "libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"]}, "fedora"=>["ffmpeg-devel"], "freebsd"=>["ffmpeg"], "gentoo"=>["virtual/ffmpeg"], "macports"=>["ffmpeg"], "openembedded"=>["ffmpeg@openembedded-core"], "opensuse"=>["ffmpeg"], "slackware"=>["ffmpeg"], "ubuntu"=>{"*"=>["ffmpeg", "libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"], "trusty"=>["libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"], "utopic"=>["libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"], "vivid"=>["libavcodec-dev", "libavformat-dev", "libavutil-dev", "libswscale-dev"]}}